Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.FillSignObject Class Reference
Inheritance diagram for foxit.pdf.FillSignObject:

## Public Member Functions
| FillSignObject (FillSignObject other)
| Constructor, with another fill-sign object. More...
| FillSignObject ()
| Constructor.
bool | GenerateContent ()
| Generate content for current fill-sign object. More...
RectF | GetRect ()
| Get rectangle, in PDF coordinate system. More...
FillSign.FillSignObjectType | GetType ()
| Get fill-sign type. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | Move (PointF point, float width, float height, Rotation rotation)
| Move current fill-sign object. More...

## Detailed Description

Class FillSignObject is the base class for all kinds of fill-sign object. This class offers base functions to get type, to move a fill-sign object or to generate content for a fill-sign object.

## Constructor & Destructor Documentation

## ◆ FillSignObject()

foxit.pdf.FillSignObject.FillSignObject | ( | FillSignObject | other | ) |
| inline

Constructor, with another fill-sign object.

Parameters

  [in] | other | Another fill-sign object.

## Member Function Documentation

## ◆ GenerateContent()

bool foxit.pdf.FillSignObject.GenerateContent | ( |  | ) |
| inline

Generate content for current fill-sign object.

For fill-sign object with type foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeSignature or foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeInitialsSignature , function SignatureFillSignObject.SetBitmap should be called first.

Returns
  true means success, while false means failure.

## ◆ GetRect()

RectF foxit.pdf.FillSignObject.GetRect | ( |  | ) |
| inline

Get rectangle, in PDF coordinate system.

Returns
  Fill-sign object rectangle. If there is no rectangle information, a RectF object with all 0 values would be returned.

## ◆ GetType()

FillSign.FillSignObjectType foxit.pdf.FillSignObject.GetType | ( |  | ) |
| inline

Get fill-sign type.

Returns
  Fill-sign type. Please refer to values starting from foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeText and this would be one of these values.

## ◆ IsEmpty()

bool foxit.pdf.FillSignObject.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Move()

void foxit.pdf.FillSignObject.Move | ( | PointF | point,
|  | float | width,
|  | float | height,
|  | Rotation | rotation
| ) |  |
| inline

Move current fill-sign object.

- If to add a fill-sign object with type foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeCrossMark , foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeCheckMark , foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeLine or foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeDot , the bigger value of input width and height will be used as both width and height as the moving result.

- If to move a fill-sign object with type foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeLine , input height is useless and will be ignored.

- This function does not support to move a fill-sign object with foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeSignature or foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeInitialsSignature . For this case, exception will be thrown.

Parameters

  [in] | point | New left-bottom point for current fill-sign object, in PDF coordinate system.
  [in] | width | New width for current fill-sign object.
  [in] | height | New height for current fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from foxit.common.Rotation.e_Rotation0 and this should be one of these values except foxit.common.Rotation.e_RotationUnknown .

Returns
  None.